Bug 1571360 - [abrt] tb_ring_stop: WARNING: CPU: 2 PID: 1704 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt] [thunderbolt]
Summary: [abrt] tb_ring_stop: WARNING: CPU: 2 PID: 1704 at drivers/thunderbolt/nhi.c:1...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6e949128327dd73b6101e53a404...
: 1574856 1579024 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 15:15 UTC by Kenan Warren
Modified: 2019-11-05 02:27 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-26 21:03:39 UTC
Type: ---
kenan: needinfo-


Attachments (Terms of Use)
File: dmesg (93.92 KB, text/plain)
2018-04-24 15:15 UTC, Kenan Warren
no flags Details

Description Kenan Warren 2018-04-24 15:15:25 UTC
Description of problem:
Patched my DSDT tables to enable sleep as per https://delta-xi.net/#056, added the kernel parameter mem_sleep_default=deep. Also noticed my keyboard doesn't work on wake sometimes, might be related.


Additional info:
reporter:       libreport-2.9.4
WARNING: CPU: 2 PID: 1704 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink xt_addrtype br_netfilter overlay ccm thunderbolt(+) nvmem_core rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw fuse cmac devlink ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat btusb btrtl btbcm btintel bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev ecdh_generic media arc4 iwlmvm mac80211
 snd_soc_skl snd_hda_codec_hdmi snd_soc_skl_ipc intel_rapl snd_hda_ext_core snd_soc_sst_dsp x86_pkg_temp_thermal snd_soc_sst_ipc intel_powerclamp snd_soc_acpi coretemp snd_soc_core iwlwifi snd_hda_codec_realtek kvm_intel snd_hda_codec_generic mei_wdt snd_compress kvm snd_pcm_dmaengine iTCO_wdt ac97_bus iTCO_vendor_support snd_hda_intel wmi_bmof intel_wmi_thunderbolt snd_hda_codec cfg80211 irqbypass crct10dif_pclmul crc32_pclmul snd_hda_core snd_hwdep snd_seq ghash_clmulni_intel snd_seq_device intel_cstate intel_uncore intel_rapl_perf snd_pcm tpm_crb mei_me idma64 joydev snd_timer mei i2c_i801 thinkpad_acpi tpm_tis tpm_tis_core ucsi_acpi shpchp snd typec_ucsi intel_lpss_pci processor_thermal_device intel_lpss intel_soc_dts_iosf intel_pch_thermal typec tpm soundcore int3403_thermal wmi
 rfkill int3400_thermal int340x_thermal_zone acpi_pad acpi_thermal_rel i915 i2c_algo_bit drm_kms_helper e1000e drm nvme ptp serio_raw pps_core nvme_core crc32c_intel video
CPU: 2 PID: 1704 Comm: systemd-udevd Not tainted 4.16.3-300.fc28.x86_64 #1
Hardware name: LENOVO 20KH002HUS/20KH002HUS, BIOS N23ET38W (1.13 ) 03/12/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffa61c8575fa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff99128fa83000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9912e14968f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000461
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc10da689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc10da678
FS:  00007fe72ea01180(0000) GS:ffff9912e1480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9e81a1d8a0 CR3: 000000044f8ae003 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc10eb000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 3c 7d 4c c7 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 af 0d c1 e8 8a ea fd c6 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 1 Kenan Warren 2018-04-24 15:15:40 UTC
Created attachment 1426118 [details]
File: dmesg

Comment 2 Nemanja 2018-05-02 21:45:03 UTC
Description of problem:
Error appeared after system boot

Version-Release number of selected component:
kernel-core-4.16.6-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.6-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-403098bb-c33a-4afc-885b-02a842589516 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.6-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1829 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm ccm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp arc4 llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat ath10k_pci ath10k_core mac80211 snd_hda_codec_hdmi mei_wdt iTCO_wdt ath iTCO_vendor_support cfg80211 snd_hda_codec_realtek dell_rbtn snd_hda_codec_generic rtsx_pci_ms intel_rapl x86_pkg_temp_thermal
 memstick intel_powerclamp dell_laptop coretemp dell_smm_hwmon kvm_intel kvm snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq irqbypass btusb intel_cstate snd_seq_device btrtl btbcm snd_pcm btintel intel_uncore uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 intel_rapl_perf videobuf2_common dell_wmi dell_smbios videodev dcdbas snd_timer mei_me snd ecdh_generic intel_wmi_thunderbolt joydev media wmi_bmof rfkill i2c_i801 soundcore dell_wmi_descriptor idma64 mei shpchp intel_lpss_pci processor_thermal_device intel_pch_thermal intel_lpss ie31200_edac intel_soc_dts_iosf intel_hid int3403_thermal int340x_thermal_zone sparse_keymap int3400_thermal acpi_pad acpi_thermal_rel dm_crypt i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper mxm_wmi crct10dif_pclmul
 crc32_pclmul crc32c_intel nvme drm ghash_clmulni_intel nvme_core rtsx_pci serio_raw hid_multitouch i2c_hid wmi video
CPU: 1 PID: 1829 Comm: systemd-udevd Not tainted 4.16.6-300.fc28.x86_64 #1
Hardware name: Dell Inc. Precision 5520/06X96V, BIOS 1.5.0 08/30/2017
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffabee07137a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff9fc8136ab9c0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9fc83e4568f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 000000000000046f
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1066689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1066678
FS:  00007f94426c3180(0000) GS:ffff9fc83e440000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9f61fff000 CR3: 00000008537ac006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1077000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 0c c1 53 da 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 6f 06 c1 e8 8a 2a 05 da <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 3 solexNY 2018-05-03 09:52:04 UTC
Description of problem:
i rebooted my machine and logged in.  I'm using a dell p2715qt 4k dell monitor running at 60 hz on an intel nuc with 16 gb ram and a 128 gb ssd

Version-Release number of selected component:
kernel-core-4.16.5-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.5-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1391 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: rfcomm fuse thunderbolt(+) nvmem_core nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc intel_rapl snd_hda_ext_core snd_soc_sst_dsp x86_pkg_temp_thermal snd_soc_sst_ipc intel_powerclamp snd_soc_acpi snd_soc_core snd_hda_codec_realtek coretemp snd_hda_codec_generic kvm_intel snd_compress snd_pcm_dmaengine
 iwlmvm ac97_bus snd_hda_intel kvm snd_hda_codec mac80211 snd_hda_core snd_hwdep snd_seq iTCO_wdt iTCO_vendor_support wmi_bmof irqbypass intel_wmi_thunderbolt snd_seq_device crct10dif_pclmul crc32_pclmul btusb snd_pcm btrtl btbcm iwlwifi btintel ghash_clmulni_intel intel_cstate bluetooth intel_uncore intel_rapl_perf rtsx_pci_ms snd_timer memstick cfg80211 snd i2c_i801 soundcore ecdh_generic rfkill mei_me mei intel_pch_thermal ir_rc6_decoder shpchp wmi rc_rc6_mce ite_cir tpm_crb tpm_tis tpm_tis_core rc_core tpm acpi_pad i915 rtsx_pci_sdmmc mmc_core e1000e i2c_algo_bit drm_kms_helper ptp drm crc32c_intel pps_core rtsx_pci video
CPU: 3 PID: 1391 Comm: systemd-udevd Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: Intel Corporation NUC7i7BNH/NUC7i7BNB, BIOS BNKBL357.86A.0062.2018.0222.1644 02/22/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffa4a58468fa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff95ceb457ad80 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff95cefed968f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 00000000000003eb
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1057689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1057678
FS:  00007efc0e560180(0000) GS:ffff95cefed80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00002c4e43273000 CR3: 000000043470e004 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1068000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 fc b0 54 e8 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 7f 05 c1 e8 8a 1a 06 e8 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 4 Hadi 2018-05-04 07:58:32 UTC
*** Bug 1574856 has been marked as a duplicate of this bug. ***

Comment 5 Mathias 2018-05-07 04:19:44 UTC
Description of problem:
Booted Fedora 28

Version-Release number of selected component:
kernel-core-4.16.5-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.5-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=nl_BE.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.5-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2620 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: rfcomm fuse thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep binfmt_misc sunrpc vfat fat snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc dell_wmi dell_laptop intel_wmi_thunderbolt dell_smbios snd_soc_acpi wmi_bmof tpm_crb dell_wmi_descriptor
 arc4 btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media ecdh_generic iTCO_wdt mei_wdt iTCO_vendor_support dcdbas intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm ath10k_pci ath10k_core irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate mac80211 intel_uncore intel_rapl_perf ath snd_hda_codec_realtek snd_soc_core snd_hda_codec_generic cfg80211 joydev snd_compress snd_pcm_dmaengine rtsx_pci_ms ac97_bus memstick rfkill snd_hda_intel snd_hda_codec snd_hda_core i2c_i801 snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore shpchp ucsi_acpi mei_me idma64 mei intel_pch_thermal processor_thermal_device intel_lpss_pci typec_ucsi intel_lpss intel_soc_dts_iosf wmi typec
 intel_vbtn tpm_tis tpm_tis_core soc_button_array pinctrl_sunrisepoint pinctrl_intel int3403_thermal tpm int340x_thermal_zone intel_hid int3400_thermal acpi_pad acpi_thermal_rel sparse_keymap hid_multitouch i915 i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core drm nvme crc32c_intel serio_raw nvme_core rtsx_pci i2c_hid video
CPU: 1 PID: 2620 Comm: systemd-udevd Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9360/00GCYR, BIOS 2.6.2 02/26/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffbebe449b7a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff9df9866d7000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9df9fe4968f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 000000000000042a
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc10f5689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc10f5678
FS:  00007f3ab2797180(0000) GS:ffff9df9fe480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7b12816000 CR3: 00000002065b2003 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1106000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 fc d0 4a e0 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 5f 0f c1 e8 8a 3a fc df <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 6 Chris Murphy 2018-05-08 00:03:43 UTC
Description of problem:
Not sure when this happened or what triggered it.

Version-Release number of selected component:
kernel-core-4.16.6-302.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/root28/boot/vmlinuz-4.16.6-302.fc28.x86_64 root=UUID=2662057f-e6c7-47fa-8af9-ad933a22f6ec ro rootflags=subvol=root28 rhgb quiet enable_mtrr_cleanup=1 zswap.enabled=1 zswap.max_pool_percent=25 zswap.compressor=lz4
crash_function: tb_ring_stop
kernel:         4.16.6-302.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1465 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: vfat fat rfcomm fuse ccm hidp thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc dm_crypt dm_thin_pool dm_persistent_data dm_bio_prison libcrc32c arc4 iwlmvm intel_rapl x86_pkg_temp_thermal intel_powerclamp mac80211 coretemp kvm_intel snd_soc_skl snd_soc_skl_ipc kvm iTCO_wdt snd_hda_ext_core
 iTCO_vendor_support snd_soc_sst_dsp snd_soc_sst_ipc hp_wmi snd_soc_acpi sparse_keymap wmi_bmof intel_wmi_thunderbolt iwlwifi snd_soc_core snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus cfg80211 irqbypass snd_hda_intel crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_codec intel_cstate intel_uncore btusb intel_rapl_perf btrtl btbcm snd_hda_core btintel snd_hwdep snd_seq uvcvideo snd_seq_device snd_pcm bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev snd_timer ecdh_generic media mei_me rfkill joydev snd i2c_i801 idma64 soundcore mei shpchp intel_lpss_pci intel_lpss intel_pch_thermal processor_thermal_device intel_soc_dts_iosf wmi tpm_crb int3403_thermal tpm_tis int340x_thermal_zone tpm_tis_core
 pinctrl_sunrisepoint pinctrl_intel int3400_thermal tpm acpi_thermal_rel hp_wireless acpi_pad btrfs xor zstd_decompress zstd_compress xxhash raid6_pq hid_apple i915 i2c_algo_bit drm_kms_helper nvme drm serio_raw crc32c_intel nvme_core video lz4 lz4_compress
CPU: 0 PID: 1465 Comm: systemd-udevd Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: HP HP Spectre Notebook/81A0, BIOS F.40 02/26/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffb2a904637a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff9663afbdcc00 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9663bec168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 000000000000043a
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1187689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1187678
FS:  00007fb8afe86180(0000) GS:ffff9663bec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f1f7c8d0000 CR3: 000000027a2ec001 CR4: 00000000003606f0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1198000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 dc af 41 d8 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 7f 18 c1 e8 8a 1a f3 d7 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 7 mszepien 2018-05-08 18:56:12 UTC
Description of problem:
On a Dell XPS 13, pressed the F11/reduce brightness key and the whole computer froze up; had to do a hard reset

Version-Release number of selected component:
kernel-core-4.16.6-302.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.6-302.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.6-302.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1582 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm ccm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw devlink ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 vfat fat iwlmvm snd_hda_codec_hdmi mac80211 intel_rapl snd_soc_skl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlwifi iTCO_wdt kvm iTCO_vendor_support snd_soc_skl_ipc snd_hda_ext_core
 dell_laptop snd_soc_sst_dsp dell_wmi snd_soc_sst_ipc snd_soc_acpi dell_smbios wmi_bmof intel_wmi_thunderbolt snd_hda_codec_realtek irqbypass snd_soc_core crct10dif_pclmul snd_hda_codec_generic crc32_pclmul dell_wmi_descriptor snd_compress snd_pcm_dmaengine ac97_bus dcdbas ghash_clmulni_intel cfg80211 snd_hda_intel intel_cstate intel_uncore intel_rapl_perf snd_hda_codec uvcvideo rtsx_pci_ms videobuf2_vmalloc videobuf2_memops memstick videobuf2_v4l2 videobuf2_common snd_hda_core snd_hwdep btusb snd_seq btrtl btbcm btintel videodev snd_seq_device bluetooth snd_pcm media snd_timer joydev snd i2c_i801 soundcore shpchp mei_me mei ecdh_generic rfkill idma64 intel_lpss_pci intel_lpss processor_thermal_device intel_soc_dts_iosf intel_pch_thermal wmi pinctrl_sunrisepoint intel_hid sparse_keymap
 pinctrl_intel int3403_thermal int340x_thermal_zone acpi_pad int3400_thermal acpi_thermal_rel i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel nvme drm nvme_core serio_raw rtsx_pci hid_multitouch i2c_hid video
CPU: 3 PID: 1582 Comm: systemd-udevd Not tainted 4.16.6-302.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9350/09JHRY, BIOS 1.7.0 01/16/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffb3dc854cfa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff8eadf470fe40 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8eae3ed968f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000420
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0f2e689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0f2e678
FS:  00007fb0b293b180(0000) GS:ffff8eae3ed80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f7a98a60000 CR3: 00000004346a4003 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0f3f000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 dc 3f 67 f6 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 ef f2 c0 e8 8a aa 18 f6 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 8 Philippe Macé 2018-05-13 13:35:08 UTC
Description of problem:
Computer : HP Spectre
Context : nothing connected, computer charging

Firefox connected on a distint server of octoprint (just viewing remote camera).

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=fr_FR.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2144 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: ccm thunderbolt(+) nvmem_core rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack fuse ip_set nfnetlink devlink cmac ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat squashfs zstd_decompress xxhash loop uvcvideo btusb btrtl videobuf2_vmalloc btbcm btintel videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev media ecdh_generic arc4 snd_soc_skl
 intel_rapl x86_pkg_temp_thermal snd_soc_skl_ipc intel_powerclamp coretemp snd_hda_ext_core snd_soc_sst_dsp kvm_intel snd_soc_sst_ipc iwlmvm snd_soc_acpi kvm snd_soc_core hp_wmi sparse_keymap wmi_bmof mac80211 snd_hda_codec_hdmi intel_wmi_thunderbolt iTCO_wdt snd_hda_codec_conexant iTCO_vendor_support snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus snd_hda_intel irqbypass iwlwifi crct10dif_pclmul crc32_pclmul snd_hda_codec ghash_clmulni_intel intel_cstate intel_uncore snd_hda_core intel_rapl_perf cfg80211 snd_hwdep snd_seq snd_seq_device snd_pcm joydev snd_timer tpm_crb snd rfkill mei_me soundcore i2c_i801 mei idma64 intel_lpss_pci processor_thermal_device shpchp intel_soc_dts_iosf intel_lpss intel_pch_thermal wmi int3403_thermal int340x_thermal_zone tpm_tis pinctrl_sunrisepoint
 tpm_tis_core int3400_thermal pinctrl_intel acpi_thermal_rel tpm hp_wireless acpi_pad binfmt_misc i915 i2c_algo_bit drm_kms_helper crc32c_intel drm nvme serio_raw nvme_core video
CPU: 0 PID: 2144 Comm: systemd-udevd Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: HP HP Spectre Notebook/8255, BIOS F.34 06/15/2017
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffff9f8304bafa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff903bc79ced80 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff903c3ec168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000435
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e6f689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0e6f678
FS:  00007f7b1cf47180(0000) GS:ffff903c3ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f32156d5000 CR3: 0000000247844004 CR4: 00000000003606f0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0e80000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 2c 32 73 fa 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 ff e6 c0 e8 8a 9a 24 fa <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 9 Chris Murphy 2018-05-13 21:25:39 UTC
I've filed an upstream bug.
https://bugzilla.kernel.org/show_bug.cgi?id=199699

Comment 10 Simone Tiraboschi 2018-05-14 08:21:06 UTC
Description of problem:
It suddenly happened after system boot.

Version-Release number of selected component:
kernel-core-4.16.7-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.7-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-428bf0a5-a333-4594-8007-49691538b4f7 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.7-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 1951 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: rfcomm fuse uhid thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink cmac ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 intel_rapl mei_wdt iTCO_wdt iwlmvm iTCO_vendor_support x86_pkg_temp_thermal wmi_bmof intel_powerclamp intel_wmi_thunderbolt coretemp mac80211 snd_soc_skl kvm_intel snd_soc_skl_ipc snd_hda_codec_hdmi
 snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi kvm snd_soc_core iwlwifi snd_hda_codec_realtek snd_hda_codec_generic snd_compress snd_pcm_dmaengine irqbypass intel_cstate intel_uncore intel_rapl_perf ac97_bus snd_hda_intel btusb snd_hda_codec btrtl cfg80211 btbcm btintel uvcvideo bluetooth videobuf2_vmalloc snd_hda_core videobuf2_memops snd_hwdep videobuf2_v4l2 snd_seq joydev videobuf2_common snd_seq_device snd_pcm videodev media mei_me mei snd_timer shpchp i2c_i801 ecdh_generic tpm_crb intel_pch_thermal thinkpad_acpi ucsi_acpi typec_ucsi typec wmi snd soundcore tpm_tis rfkill tpm_tis_core tpm acpi_pad dm_crypt uas usb_storage i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper e1000e nvme ghash_clmulni_intel nvme_core drm ptp serio_raw pps_core
 video
CPU: 2 PID: 1951 Comm: systemd-udevd Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: LENOVO 20HGS22D04/20HGS22D04, BIOS N1WET41W (1.20 ) 10/17/2017
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffb1bdc3c97a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff9329c584e240 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9329fe5168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 000000000000043a
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0f89689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0f89678
FS:  00007fe95dbd5180(0000) GS:ffff9329fe500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00002ffc2e189000 CR3: 0000000467c7a004 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0f9a000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 2c 92 61 da 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 9f f8 c0 e8 8a fa 12 da <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 11 Ian Sorensen 2018-05-16 19:04:00 UTC
Description of problem:
Restarted the computer and immediately a pop-up notification stated the error. I have not updated to the most recent kernel as a pending update causes the system to not react to any input in GNOME.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1568 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm thunderbolt(+) nvmem_core ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 intel_rapl iwlmvm x86_pkg_temp_thermal intel_powerclamp coretemp mac80211 snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_hda_codec_hdmi snd_soc_sst_ipc snd_soc_acpi kvm snd_soc_core
 iwlwifi iTCO_wdt iTCO_vendor_support intel_wmi_thunderbolt snd_hda_codec_realtek dell_laptop dell_wmi snd_compress wmi_bmof snd_hda_codec_generic irqbypass crct10dif_pclmul crc32_pclmul snd_pcm_dmaengine dell_smbios cfg80211 ac97_bus snd_hda_intel ghash_clmulni_intel intel_cstate dell_wmi_descriptor snd_hda_codec dcdbas intel_uncore snd_hda_core intel_rapl_perf snd_hwdep btusb snd_seq btrtl rtsx_pci_ms btbcm memstick btintel snd_seq_device snd_pcm bluetooth snd_timer snd joydev soundcore i2c_i801 mei_me ecdh_generic shpchp rfkill mei idma64 tpm_tis intel_lpss_pci processor_thermal_device tpm_tis_core intel_lpss intel_soc_dts_iosf intel_pch_thermal tpm wmi pinctrl_sunrisepoint intel_hid sparse_keymap pinctrl_intel int3400_thermal acpi_pad int3403_thermal acpi_thermal_rel int340x_thermal_zone
 i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm crc32c_intel rtsx_pci serio_raw hid_multitouch i2c_hid video
CPU: 3 PID: 1568 Comm: systemd-udevd Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9350/07TYC2, BIOS 1.6.1 12/14/2017
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffbfd842767a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff9be240d46300 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9be27ed968f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 00000000000003ec
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0f13689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0f13678
FS:  00007f8b6f1fc180(0000) GS:ffff9be27ed80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055b7a2af90b8 CR3: 0000000244260001 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0f24000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 7c ed 68 d9 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 3f f1 c0 e8 8a 5a 1a d9 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 12 Breogán Esculta 2018-05-16 19:38:56 UTC
*** Bug 1579024 has been marked as a duplicate of this bug. ***

Comment 13 Joseph Chapman 2018-05-24 11:41:41 UTC
Description of problem:
Problem was reported when I logged in afer booting the machine. I wasn't really doing anything.

Version-Release number of selected component:
kernel-core-4.16.9-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.9-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-76d5a458-965e-45b5-b2fd-6dcdb6623cfd rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.9-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2207 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: rfcomm fuse thunderbolt(+) nvmem_core ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink cmac ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 snd_soc_skl iTCO_wdt snd_soc_skl_ipc mei_wdt iTCO_vendor_support snd_hda_ext_core wmi_bmof snd_soc_sst_dsp snd_soc_sst_ipc intel_wmi_thunderbolt snd_soc_acpi intel_rapl snd_soc_core iwlmvm x86_pkg_temp_thermal
 snd_hda_codec_hdmi intel_powerclamp coretemp kvm_intel mac80211 kvm snd_hda_codec_realtek snd_compress snd_hda_codec_generic btusb btrtl irqbypass btbcm intel_cstate snd_pcm_dmaengine ac97_bus btintel snd_hda_intel bluetooth intel_uncore snd_hda_codec intel_rapl_perf iwlwifi uvcvideo snd_hda_core videobuf2_vmalloc snd_hwdep videobuf2_memops snd_seq snd_seq_device videobuf2_v4l2 videobuf2_common cfg80211 videodev snd_pcm joydev media snd_timer ecdh_generic i2c_i801 tpm_crb mei_me mei ucsi_acpi shpchp typec_ucsi thinkpad_acpi intel_pch_thermal typec wmi snd soundcore rfkill tpm_tis tpm_tis_core tpm acpi_pad dm_crypt uas usb_storage i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel nvme drm e1000e ghash_clmulni_intel nvme_core serio_raw ptp pps_core video
CPU: 0 PID: 2207 Comm: systemd-udevd Not tainted 4.16.9-300.fc28.x86_64 #1
Hardware name: LENOVO 20HGS22D00/20HGS22D00, BIOS N1WET35W (1.14 ) 07/12/2017
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffa85ec3fdfa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff889945c4d240 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff88995e4168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 00000000000003df
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1006689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1006678
FS:  00007f5695164180(0000) GS:ffff88995e400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055b885bf3fe0 CR3: 00000004084a0004 CR4: 00000000003606f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1017000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 2c 1f 5a cb 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 6f 00 c1 e8 1a 2b 0b cb <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 14 Florian 2018-05-25 06:44:18 UTC
Description of problem:
I booted the machine and logged in.

Version-Release number of selected component:
kernel-core-4.16.10-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.10-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-f62aa02a-92b1-492a-875a-446dabd0afb4 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.10-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1785 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm ccm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel arc4 iTCO_wdt iTCO_vendor_support wmi_bmof intel_wmi_thunderbolt kvm snd_soc_skl snd_hda_codec_hdmi snd_soc_skl_ipc irqbypass
 intel_cstate snd_hda_ext_core snd_soc_sst_dsp intel_uncore snd_soc_sst_ipc snd_soc_acpi btusb intel_rapl_perf snd_soc_core btrtl snd_hda_codec_realtek btbcm snd_hda_codec_generic iwlmvm btintel snd_compress snd_pcm_dmaengine bluetooth ac97_bus mac80211 snd_hda_intel uvcvideo snd_hda_codec videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev snd_hda_core iwlwifi joydev media snd_hwdep ecdh_generic qcserial usb_wwan snd_seq cfg80211 snd_seq_device snd_pcm i2c_i801 snd_timer mei_me mei tpm_crb ucsi_acpi shpchp intel_pch_thermal typec_ucsi thinkpad_acpi typec wmi snd soundcore rfkill tpm_tis tpm_tis_core acpi_pad tpm dm_crypt cdc_mbim cdc_wdm cdc_ncm usbnet mii uas usb_storage i915 i2c_algo_bit drm_kms_helper drm crct10dif_pclmul crc32_pclmul crc32c_intel nvme e1000e
 nvme_core ghash_clmulni_intel ptp serio_raw pps_core video
CPU: 0 PID: 1785 Comm: systemd-udevd Not tainted 4.16.10-300.fc28.x86_64 #1
Hardware name: LENOVO 20HF004UGE/20HF004UGE, BIOS N1WET45W (1.24 ) 02/26/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffb95ec9477a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff95c351111540 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff95c3a24168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000454
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc11a7689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc11a7678
FS:  00007ff77cfd1180(0000) GS:ffff95c3a2400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00003a30a26844d8 CR3: 0000000418b3a006 CR4: 00000000003606f0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc11b8000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 bc 0f 40 c0 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 7f 1a c1 e8 1a 1b f1 bf <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 15 pozdzynski@gmail.com 2018-05-26 11:45:39 UTC
Description of problem:
I get this error whenever I start up my computer.  I am booting Fedora from an external SSD.

Version-Release number of selected component:
kernel-core-4.16.11-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.11-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.11-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 1622 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat devlink ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 cmac bnep sunrpc vfat fat snd_hda_codec_hdmi snd_soc_skl iTCO_wdt iTCO_vendor_support snd_soc_skl_ipc mei_wdt hid_multitouch intel_rapl x86_pkg_temp_thermal intel_powerclamp snd_hda_ext_core coretemp kvm_intel snd_soc_sst_dsp
 snd_soc_sst_ipc dell_wmi wmi_bmof intel_wmi_thunderbolt snd_soc_acpi snd_soc_core dell_laptop kvm dell_smbios snd_hda_codec_realtek dell_wmi_descriptor dcdbas snd_hda_codec_generic irqbypass crct10dif_pclmul crc32_pclmul snd_compress ghash_clmulni_intel snd_pcm_dmaengine ac97_bus intel_cstate ath10k_pci intel_uncore ath10k_core intel_rapl_perf snd_hda_intel snd_hda_codec mac80211 snd_hda_core snd_hwdep snd_seq snd_seq_device joydev snd_pcm btusb snd_timer btrtl snd uvcvideo btbcm btintel i2c_i801 soundcore ath videobuf2_vmalloc bluetooth videobuf2_memops videobuf2_v4l2 cfg80211 videobuf2_common ses enclosure scsi_transport_sas videodev media ecdh_generic rtsx_pci_ms rfkill memstick ucsi_acpi typec_ucsi typec wmi mei_me processor_thermal_device pinctrl_sunrisepoint int3403_thermal intel_hid
 mei idma64 acpi_pad pinctrl_intel int340x_thermal_zone sparse_keymap int3400_thermal intel_pch_thermal intel_soc_dts_iosf acpi_thermal_rel intel_lpss_pci shpchp intel_lpss i915 rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper nvme drm uas crc32c_intel nvme_core usb_storage serio_raw rtsx_pci i2c_hid video
CPU: 6 PID: 1622 Comm: systemd-udevd Not tainted 4.16.11-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0H6H3J, BIOS 1.3.3 05/17/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffff9eabc554fa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff91956ea03e40 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9195ae596930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000438
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e06689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0e06678
FS:  00007f11d86be180(0000) GS:ffff9195ae580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000563314fb5000 CR3: 000000046c6b4005 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0e17000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 bc 22 7a c0 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 6f e0 c0 e8 8a 2b 2b c0 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 16 German Pulido 2018-05-28 22:10:59 UTC
Description of problem:
No idea how it happened. I tried to download a zip file from google drive and the laptop hang completely. Not even ping responded.

Version-Release number of selected component:
kernel-core-4.16.11-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.11-300.fc28.x86_64 root=/dev/mapper/luks-79f33888-1615-44d6-9781-bcb4156b928d ro rd.lvm.lv=fedora_rhlaptop/00 rd.luks.uuid=luks-79f33888-1615-44d6-9781-bcb4156b928d rd.lvm.lv=fedora_rhlaptop/01 rd.luks.uuid=luks-f22007c5-c65f-413a-bb7e-7659cdde2b82 rhgb quiet kvm-intel.nested=1 LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.11-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 2216 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: rfcomm fuse ccm thunderbolt(+) nvmem_core vhost_net vhost tap ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep binfmt_misc sunrpc vfat fat arc4 intel_rapl iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal intel_powerclamp mei_wdt coretemp kvm_intel wmi_bmof iwlmvm intel_wmi_thunderbolt snd_soc_skl mac80211 snd_soc_skl_ipc
 snd_hda_codec_hdmi kvm snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi snd_hda_codec_realtek irqbypass snd_soc_core iwlwifi snd_hda_codec_generic intel_cstate intel_uncore snd_compress snd_pcm_dmaengine uvcvideo intel_rapl_perf ac97_bus snd_hda_intel snd_hda_codec videobuf2_vmalloc videobuf2_memops cfg80211 videobuf2_v4l2 snd_hda_core videobuf2_common btusb btrtl btbcm snd_hwdep snd_seq videodev snd_seq_device btintel snd_pcm bluetooth joydev media snd_timer i2c_i801 shpchp ecdh_generic tpm_crb mei_me ucsi_acpi mei typec_ucsi thinkpad_acpi intel_pch_thermal typec snd wmi soundcore rfkill tpm_tis tpm_tis_core tpm acpi_pad dm_crypt i915 uas usb_storage crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper e1000e ghash_clmulni_intel drm ptp serio_raw pps_core
 video
CPU: 1 PID: 2216 Comm: systemd-udevd Not tainted 4.16.11-300.fc28.x86_64 #1
Hardware name: LENOVO 20HGS22D0S/20HGS22D0S, BIOS N1WET42W (1.21 ) 12/14/2017
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffa8fbc94eba68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff8ba1709a13c0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8ba19e496930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000472
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1158689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1158678
FS:  00007fb844b14180(0000) GS:ffff8ba19e480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9ab8011c28 CR3: 00000004308e8003 CR4: 00000000003626e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc1169000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 bc 02 45 d7 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 8f 15 c1 e8 8a 0b f6 d6 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 17 kpaten2 2018-06-07 14:35:58 UTC
Description of problem:
I do not know. This issue happened on system boot so once laptop booted up I recived this error message. 

Version-Release number of selected component:
kernel-core-4.16.13-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.13-300.fc28.x86_64 root=/dev/mapper/rootvg-rootlv ro resume=/dev/mapper/rootvg-swaplv rd.lvm.lv=rootvg/rootlv rd.lvm.lv=rootvg/swaplv nomodeset rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.13-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 1776 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm thunderbolt(+) nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter devlink ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iwlmvm kvm_intel kvm mac80211 snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt iTCO_vendor_support irqbypass crct10dif_pclmul
 snd_hda_intel crc32_pclmul snd_hda_codec uvcvideo ghash_clmulni_intel snd_hda_core intel_cstate btusb snd_hwdep iwlwifi videobuf2_vmalloc intel_uncore btrtl btbcm btintel snd_seq videobuf2_memops bluetooth intel_rapl_perf snd_seq_device videobuf2_v4l2 snd_pcm cfg80211 videobuf2_common videodev rtsx_usb_ms media snd_timer joydev intel_wmi_thunderbolt msi_wmi memstick sparse_keymap snd mei_me ecdh_generic i2c_i801 rfkill soundcore mei intel_pch_thermal shpchp acpi_pad rtsx_usb_sdmmc mmc_core rtsx_usb i915 nouveau ttm i2c_algo_bit drm_kms_helper mxm_wmi drm alx crc32c_intel serio_raw mdio video wmi
CPU: 3 PID: 1776 Comm: systemd-udevd Not tainted 4.16.13-300.fc28.x86_64 #1
Hardware name: Micro-Star International Co., Ltd. GS63VR 7RF/MS-16K2, BIOS E16K2IMS.308 11/02/2016
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffb870c4d17a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff933b4d2e3180 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff933b8ecd6930
RBP: 0000000000000000 R08: 0000000000000058 R09: 000000000000040e
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0ec1689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0ec1678
FS:  00007f2166ad1180(0000) GS:ffff933b8ecc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005638f0d5e158 CR3: 000000044d09e006 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0ed2000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x210f/0x24a0
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 7c 76 6e dd 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 1f ec c0 e8 2a 7c 1f dd <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 18 Hayden 2018-08-02 16:17:50 UTC
Description of problem:
Updating Thinkpad T470s firmware to 1.28.

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-d7c0e0c6-f46a-43ce-871f-9af7d4ca7c11 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1712 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse rfcomm thunderbolt(+) nvmem_core nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack devlink libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac ipheth bnep sunrpc vfat fat arc4 snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iwlmvm kvm_intel mac80211 iTCO_wdt mei_wdt wmi_bmof snd_hda_codec_realtek iTCO_vendor_support intel_wmi_thunderbolt kvm snd_hda_codec_generic snd_soc_skl snd_soc_skl_ipc
 snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi snd_soc_core irqbypass intel_cstate intel_uncore snd_compress intel_rapl_perf iwlwifi btusb snd_pcm_dmaengine ac97_bus snd_hda_intel btrtl btbcm btintel snd_hda_codec snd_usb_audio bluetooth cfg80211 snd_hda_core qcserial usb_wwan snd_usbmidi_lib snd_hwdep snd_seq snd_rawmidi snd_seq_device joydev snd_pcm mei_me ecdh_generic shpchp mei snd_timer i2c_i801 intel_pch_thermal tpm_crb thinkpad_acpi ucsi_acpi typec_ucsi typec wmi snd soundcore tpm_tis rfkill tpm_tis_core acpi_pad tpm dm_crypt hid_sony ff_memless i915 e1000e crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper uas ghash_clmulni_intel nvme drm cdc_mbim serio_raw cdc_wdm nvme_core cdc_ncm usb_storage ptp usbnet pps_core mii video
CPU: 1 PID: 1712 Comm: systemd-udevd Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: LENOVO 20JTS0D500/20JTS0D500, BIOS N1WET48W (1.27 ) 05/28/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffa65c886d7a68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff8a852cb0c540 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8a853e4968f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000455
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0f18689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0f18678
FS:  00007efdeb3cf180(0000) GS:ffff8a853e480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f288844c6a0 CR3: 000000023d660005 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc0f29000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 7c 9d 68 f3 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 8f f1 c0 e8 8a 0a 1a f3 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 19 plobugzilla 2018-08-07 21:24:49 UTC
Description of problem:
Occured during boot right after logging in, not sure what happened

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1503 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: fuse ccm thunderbolt(+) nvmem_core nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 snd_hda_codec_hdmi iwlmvm dell_rbtn mac80211 hid_multitouch intel_rapl iTCO_wdt mei_wdt iTCO_vendor_support x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlwifi dell_laptop kvm snd_hda_codec_realtek snd_hda_codec_generic dell_smm_hwmon cfg80211
 irqbypass btusb crct10dif_pclmul btrtl snd_hda_intel btbcm crc32_pclmul btintel snd_hda_codec ghash_clmulni_intel bluetooth uvcvideo snd_hda_core intel_cstate intel_uncore snd_hwdep videobuf2_vmalloc snd_seq videobuf2_memops rtsx_pci_ms videobuf2_v4l2 snd_seq_device intel_rapl_perf memstick snd_pcm videobuf2_common dell_wmi videodev dell_smbios dcdbas snd_timer mei_me snd joydev ecdh_generic tpm_tis media dell_wmi_descriptor wmi_bmof intel_wmi_thunderbolt i2c_i801 idma64 rfkill tpm_tis_core soundcore mei ie31200_edac shpchp intel_lpss_pci processor_thermal_device tpm intel_soc_dts_iosf intel_lpss intel_pch_thermal intel_hid sparse_keymap int3403_thermal int3402_thermal int340x_thermal_zone int3400_thermal acpi_thermal_rel acpi_pad i915 nouveau ttm i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper
 mmc_core mxm_wmi drm nvme rtsx_pci crc32c_intel nvme_core serio_raw i2c_hid wmi video
CPU: 0 PID: 1503 Comm: systemd-udevd Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. Precision 5510/08R8KJ, BIOS 1.7.0 02/23/2018
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffb97fc4f1fa68 EFLAGS: 00010086
RAX: 0000000000000000 RBX: ffff96fe141b7300 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff96fe3dc168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000486
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc12a6689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc12a6678
FS:  00007fe15e655180(0000) GS:ffff96fe3dc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f28447e2000 CR3: 0000000894f8c004 CR4: 00000000003606f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_add+0xd4/0xe0 [thunderbolt]
 nhi_probe+0x16a/0x300 [thunderbolt]
 local_pci_probe+0x41/0x90
 pci_device_probe+0x188/0x1a0
 driver_probe_device+0x2b9/0x460
 ? __driver_attach+0xb6/0xe0
 ? driver_probe_device+0x460/0x460
 ? bus_for_each_dev+0x76/0xc0
 ? klist_add_tail+0x3b/0x60
 ? bus_add_driver+0x152/0x230
 ? driver_register+0x6b/0xb0
 ? nhi_init+0x2b/0x1000 [thunderbolt]
 ? 0xffffffffc12b7000
 ? do_one_initcall+0x48/0x13b
 ? free_unref_page_commit+0x9b/0x110
 ? _cond_resched+0x15/0x30
 ? kmem_cache_alloc_trace+0x111/0x1c0
 ? do_init_module+0x22/0x210
 ? do_init_module+0x5a/0x210
 ? load_module+0x20cd/0x2450
 ? SYSC_init_module+0x138/0x180
 ? SYSC_init_module+0x138/0x180
 ? do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 7c bd 2f c2 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 6f 2a c1 e8 8a 2a e1 c1 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 20 Laura Abbott 2018-10-01 21:30:26 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 21 Laura Abbott 2018-11-26 21:03:39 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)

Comment 22 Kenan Warren 2019-11-05 02:27:42 UTC
I'm not able to provide any information as I returned the laptop.


Note You need to log in before you can comment on or make changes to this bug.